%define pypi_name dropbox

Name:           python-%{pypi_name}
Version:        10.10.0
Release:        %mkrel 1
Summary:        Official Dropbox REST API Client
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/dropbox
Source0:        %{pypi_source}

# Don't install tests
Patch0:         %{pypi_name}-setuptools.patch

BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
BuildRequires:  python3-urllib3

%description
A Python library for Dropbox's HTTP-based Core and Datastore APIs.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        Official Dropbox REST API Client
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python 3 library for Dropbox's HTTP-based Core and Datastore APIs.

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
rm -rf %{pypi_name}.egg-info

find . -name '*.py' | xargs sed -i '1s|^#!/usr/bin/env python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Nov 14 2020 guillomovitch <guillomovitch> 10.10.0-1.mga8
+ Revision: 1646145
- new version 10.10.0

* Sun Nov 08 2020 guillomovitch <guillomovitch> 10.8.0-1.mga8
+ Revision: 1643740
- new version 10.8.0

* Mon Sep 14 2020 guillomovitch <guillomovitch> 10.4.1-1.mga8
+ Revision: 1626336
- new version 10.4.1

* Sun May 31 2020 daviddavid <daviddavid> 10.2.0-1.mga8
+ Revision: 1589227
- new version: 10.2.0

* Tue Apr 28 2020 daviddavid <daviddavid> 10.1.1-1.mga8
+ Revision: 1572817
- new version: 10.1.1

* Tue Mar 31 2020 daviddavid <daviddavid> 9.5.0-1.mga8
+ Revision: 1562594
- new version: 9.5.0

* Sun Feb 16 2020 umeabot <umeabot> 9.4.0-2.mga8
+ Revision: 1535048
- Mageia 8 Mass Rebuild

* Wed Oct 09 2019 daviddavid <daviddavid> 9.4.0-1.mga8
+ Revision: 1450710
- new version: 9.4.0

* Mon Oct 07 2019 daviddavid <daviddavid> 9.3.0-2.mga8
+ Revision: 1450365
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 9.3.0-1.mga7
+ Revision: 1352558
- add BRs
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.41-4.mga7
+ Revision: 1288789
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.41-3.mga7
+ Revision: 1135405
- Rebuild for python 3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 24 2015 philippem <philippem> 3.41-1.mga6
+ Revision: 905817
- update to 3.41

* Tue Oct 13 2015 philippem <philippem> 3.22-1.mga6
+ Revision: 890487
- update to 3.22

* Sat Oct 10 2015 tv <tv> 2.1.0-5.mga6
+ Revision: 888988
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-4.mga5
+ Revision: 739746
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.0-3.mga5
+ Revision: 728377
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 688009
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 philippem <philippem> 2.1.0-1.mga5
+ Revision: 666454
- imported package python-dropbox

